Start a recording for a room
Authorization
tenant-api-key Tenant API key (backend only — never expose to a browser)
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/recordings/start" \ -H "Content-Type: application/json" \ -d '{ "roomId": "clxyz...", "startedByExternalId": "user_abc123" }'{ "id": "string", "roomId": "string", "egressId": "string", "type": "ROOM_COMPOSITE", "preset": "string", "encodingSettings": {}, "outputFormat": "MP4", "layout": "string", "status": "STARTING", "startedAt": "2019-08-24T14:15:22Z", "endedAt": {}, "duration": {}, "errorMessage": {}, "storageBucket": {}, "storageKey": {}, "storageUrl": {}, "fileSize": "string", "mimeType": {}, "startedByExternalId": "string", "stoppedByExternalId": {}, "isPublic": true, "allowedExternalIds": [ "string" ], "externalMetadata": {}, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "downloadUrl": "string"}